Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## datechooser.model
Enum CellState

    java.lang.Object
      java.lang.Enum<CellState>
          datechooser.model.CellState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CellState>

    public enum CellState

extends java.lang.Enum<CellState>

Set of cell states.
Перечисление, задающее множество состояний клеток - дней.

Since:
  1.0
Author:
  Androsov Vadim

Enum Constant Summary
`NORMAL` Usual cell.
`NORMAL_SCROLL` If select this cell month will be scrolled.
`NOW` Current date.
`SELECTED` Selected cell.
`UNACCESSIBLE` Unaccessible for selection cell.

Method Summary
`static CellState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CellState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOW

    public static final CellState NOW

  Current date.
  Текущая дата

  Since:
    1.0

### SELECTED

    public static final CellState SELECTED

  Selected cell.
  Выбрано

  Since:
    1.0

### UNACCESSIBLE

    public static final CellState UNACCESSIBLE

  Unaccessible for selection cell.
  Недопустимо для выбора

  Since:
    1.0

### NORMAL

    public static final CellState NORMAL

  Usual cell.
  Обычная ячейка

  Since:
    1.0

### NORMAL_SCROLL

    public static final CellState NORMAL_SCROLL

  If select this cell month will be scrolled.
  Обычная ячейка, при ее выборе произойдет проктутка на другой месяц.

  Since:
    1.0

Method Detail

### values

    public static final CellState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CellState c : CellState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CellState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD